//+------------------------------------------------------------------+
//|                                                MTConnectorIn.mq5 |
//|                        Copyright 2018, MetaQuotes Software Corp. |
//|                                             https://www.mql5.com |
//+------------------------------------------------------------------+
#property copyright "Copyright 2018, MetaQuotes Software Corp."
#property link      "https://www.mql5.com"
#property version   "1.00"

#include <My\MTConnector.mqh>

MTConnector In;
datetime PreTime=1;
//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
int OnInit()
  {
   EventSetMillisecondTimer(50);
   return(INIT_SUCCEEDED);
  }
//+------------------------------------------------------------------+
//| Expert deinitialization function                                 |
//+------------------------------------------------------------------+
void OnDeinit(const int reason)
  {
//--- destroy timer
   EventKillTimer();
   Comment("");
  }
//+------------------------------------------------------------------+
//| Expert tick function                                             |
//+------------------------------------------------------------------+
void OnTick()
  {
  
  }
//+------------------------------------------------------------------+
//| Timer function                                                   |
//+------------------------------------------------------------------+
void OnTimer()
  {
   In.GetNewTick();
   if(PreTime!=In.CurInf.CurTime)
     {
      PreTime=In.CurInf.CurTime;
      string str="Ask  = ";
      str+=(string)In.CurInf.ask+"\n";
      str+="Bid  = "+(string)In.CurInf.bid+"\n";
      str+="Time = "+TimeToString(In.CurInf.OpenTime,TIME_DATE|TIME_SECONDS);
      Comment(str);
     }
  }
